PapersMetadata
Replace a Paper's Metadata
Replace all the metadata of a paper.
AuthorizationBearer <token>
In: header
Path Parameters
id*string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Free-form metadata. Values can be strings, numbers, booleans, arrays of a single type, or objects nested up to 3 levels.
[key: string]?unknown
Response Body
application/json
curl -X PUT "https://example.com/papers/string/metadata" \ -H "Content-Type: application/json" \ -d '{ "property1": null, "property2": null }'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "fileName": "string", "title": "string", "subject": "string", "size": 0, "ratio": 0, "pages": 0, "status": "pending", "metadata": { "property1": null, "property2": null }, "version": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "fileName": "string", "title": "string", "subject": "string", "size": 0, "ratio": 0, "pages": 0, "status": "deleted", "extension": "string" }}